### Method

# Vte Pty set_size

#### Declaration [src]

    gboolean
    vte_pty_set_size (
      VtePty* pty,
      int rows,
      int columns,
      GError** error
    )

#### Description [src]

Attempts to resize the pseudo terminal’s window size. If successful, the OS kernel will send SIGWINCH to the child process group.

If setting the window size failed, `error` will be set to a `GIOError`.

#### Parameters

`rows`

  Type: `int`

  The desired number of rows.

`columns`

  Type: `int`

  The desired number of columns.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure with `error` filled in.